.. _UpdateVsan_Task: ../../vim/host/VsanSystem.rst#update

.. _vim.fault.VsanFault: ../../vim/fault/VsanFault.rst

.. _ReconfigureComputeResource_Task: ../../vim/ComputeResource.rst#reconfigureEx


vim.fault.CannotChangeVsanNodeUuid
==================================
    :extends:

        `vim.fault.VsanFault`_

  Fault thrown for cases that a VSAN node UUID may not be changed. For example, the VSAN node UUID for a host may not be changed so long as that host is enabled for VSAN.See `UpdateVsan_Task`_ See `ReconfigureComputeResource_Task`_ 

Attributes:




